Module | ActiveRecord::Acts::NestedSet::InstanceMethods
In: | lib/active_record/acts/nested_set.rb

### Methods

add_child all_children before_destroy child? children_count direct_children full_set root? unknown?

### Public Instance methods

add_child( child )

Adds a child to this object in the tree. If this object hasn‘t been initialized, it gets set up as a root node. Otherwise, this method will update all of the other elements in the tree and shift them to the right, keeping everything balanced.

all_children()

Returns a set of all of its children and nested children

before_destroy()

Prunes a branch off of the tree, shifting all of the elements on the right back to the left so the counts still work.

child?()

Returns true is this is a child node

children_count()

Returns the number of nested children of this object.

direct_children()

Returns a set of only this entry‘s immediate children

full_set()

Returns a set of itself and all of its nested children

root?()

Returns true is this is a root node.

unknown?()

Returns true if we have no idea what this is

[Validate]